import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubIpRangesConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/ip_ranges github_ip_ranges}
*/
export declare class DataGithubIpRanges extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_ip_ranges";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/ip_ranges github_ip_ranges} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubIpRangesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataGithubIpRangesConfig);
    get actions(): string[];
    get actionsIpv4(): string[];
    get actionsIpv6(): string[];
    get dependabot(): string[];
    get dependabotIpv4(): string[];
    get dependabotIpv6(): string[];
    get git(): string[];
    get gitIpv4(): string[];
    get gitIpv6(): string[];
    get hooks(): string[];
    get hooksIpv4(): string[];
    get hooksIpv6(): string[];
    get id(): string;
    get importer(): string[];
    get importerIpv4(): string[];
    get importerIpv6(): string[];
    get pages(): string[];
    get pagesIpv4(): string[];
    get pagesIpv6(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-ip-ranges.d.ts.map