import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubOrganizationTeamSyncGroupsConfig extends cdktf.TerraformMetaArguments {
}
export interface DataGithubOrganizationTeamSyncGroupsGroups {
}
export declare function dataGithubOrganizationTeamSyncGroupsGroupsToTerraform(struct?: DataGithubOrganizationTeamSyncGroupsGroups): any;
export declare class DataGithubOrganizationTeamSyncGroupsGroupsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataGithubOrganizationTeamSyncGroupsGroups | undefined;
    set internalValue(value: DataGithubOrganizationTeamSyncGroupsGroups | undefined);
    get groupDescription(): string;
    get groupId(): string;
    get groupName(): string;
}
export declare class DataGithubOrganizationTeamSyncGroupsGroupsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataGithubOrganizationTeamSyncGroupsGroupsOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/organization_team_sync_groups github_organization_team_sync_groups}
*/
export declare class DataGithubOrganizationTeamSyncGroups extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_organization_team_sync_groups";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/organization_team_sync_groups github_organization_team_sync_groups} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubOrganizationTeamSyncGroupsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataGithubOrganizationTeamSyncGroupsConfig);
    private _groups;
    get groups(): DataGithubOrganizationTeamSyncGroupsGroupsList;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-github-organization-team-sync-groups.d.ts.map